local L = AceLibrary("AceLocale-2.2"):new("ItsPolyquip")
L:RegisterTranslations("enUS", function() return {
    ["Chance to quip"] = true,
    ["Chance to quip on casting Polymorph."] = true,
    ["Default channel"] = true,
    ["Default channel to send quips to."] = true,
    ["<VALID_CHANNELS>"] = "< SAY | GROUP >",
    ["VALID_CHANNELS"] = {"SAY", "GROUP"},
    ["Silence time"] = true,
    ["Minimum silence time between quips."] = true,
    ["<seconds>"] = true,
    
    ["Future features"] = true,
    ["Future (unimplemented) features."] = true,
    ["Portalquipping"] = true,
    ["Portalquipping mode."] = true,
    ["Telequipping"] = true,
    ["Telequipping mode."] = true,
    ["<VALID_MODES>"] = "< disabled | chance | enabled | always >",

    ["Enable when..."] = true,
    ["Contexts in which Polyquip should be enabled."] = true,
    ["Soloing"] = true,
    ["Soloing."] = true,
    ["In party"] = true,
    ["In a party."] = true,
    ["In raid"] = true,
    ["In a raid group."] = true,
    ["In battleground"] = true,
    ["In a battleground group."] = true,
    ["ENABLED_DISABLED_MAP"] = {
        [false] = "disabled",
        [true] = "enabled"
    },

    ["Error: got an unexpected spell %s!"] = true,
    ["Please report this to the author as a bug."] = true,
    
    ["POLYMORPH_SPELLS"] = {
        "Polymorph",
        "Polymorph: Pig",
        "Polymorph: Turtle"
    },

    ["Polymorph"] = true,
    ["Polymorph: Pig"] = true,
    ["Polymorph: Turtle"] = true,

    ["Substitutions"] = {
        sheep = {
            A = "Sheep",
            a = "sheep",
            P = "Polymorph",
            p = "polymorph",
        },
        pig = {
            A = "Pig",
            a = "pig",
            F = "Pork",
            f = "pork",
            P = "Piggymorph",
            p = "piggymorph",
        },
        turtle = {
            A = "Turtle",
            a = "turtle",
            Ai = "Turtli",
            ai = "turtli",
            P = "Tortimorph",
            p = "tortimorph",
        },
        portals = {
            alliance = {
                h = "Ironforge",
                j = "Darnassus",
                x = "Exodar",
                
                [1] = "Darnassus",
                [2] = "Exodar",
                [3] = "Ironforge",
                [4] = "Stormwind",
            },
            horde = {
                h = "Orgrimmar",
                j = "Thunder Bluff",
                x = "Silvermoon",

                [1] = "Orgrimmar",
                [2] = "Silvermoon",
                [3] = "Thunder Bluff",
                [4] = "Undercity",
            },
        },
    },

    ["CHANNEL_SAY"] = "SAY",
    ["CHANNEL_GROUP"] = "GROUP",

    ["TELEPORT_SPELLS_RE"] = "^Teleport:.*",
    ["PORTAL_SPELLS_RE"] = "^Portal:.*",
    ["TELEPORT_DEST_RE"] = {"^.-: (.*)","%1"},
    ["PORTAL_DEST_RE"] = {"^.-: (.*)","%1"},
    
    ["ChatCommands"] = {
        "/polyquip",
    },

    ["ERR_NILQUIP"] = "Uh-oh!  The quip I chose was empty... how odd.",
    ["ERR_NILQUIP_INSTRUCTIONS"] = {
        "To help me track this down, please do the following:",
        "1. Type this into the chat line, and press enter:",
        "     /script Polyquip.debug = true",
        "2. Try to reproduce this problem.",
        "3. Report this to me as a bug by Private Message at wowinterface.com, "
        ..  "including the debugging output (what the quip type was, what its' "
        ..  "index was, and the sizes of the quip DBs.",
        "Thankyou, and sorry for the trouble.",
    },
} end )
